Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575399 - mce: [Hardware Error]: PROCESSOR 0:506c9 TIME 1498973483 SOCKET 0 APIC 0 microcode 2c
Summary: mce: [Hardware Error]: PROCESSOR 0:506c9 TIME 1498973483 SOCKET 0 APIC 0 micr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: microcode_ctl
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anton Arapov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 15:06 UTC by Michael Schwager
Modified: 2018-07-16 18:25 UTC (History)
7 users (show)

Fixed In Version: microcode_ctl-2.1-24.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1469488
Environment:
Fedora 28. Kernel: 4.16.3-301.fc28.x86_64 #1 SMP Mon Apr 23 21:59:58 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
Last Closed: 2018-07-16 18:25:56 UTC
Type: Bug


Attachments (Terms of Use)
Output of journalctl -b | grep Hardware (42.94 KB, text/plain)
2018-05-06 15:06 UTC, Michael Schwager
no flags Details

Description Michael Schwager 2018-05-06 15:06:56 UTC
Created attachment 1432398 [details]
Output of journalctl -b | grep Hardware

+++ This bug was initially created as a clone of Bug #1469488 +++

Hardware Error
I have added an attachment with the complete output of journalctl -b | grep Hardware. As has been reported since Fedora 25, systems with the Intel J4205 and (in my case) the Intel J3455 processor come up with a Hardware Error early in boot. Is this a real error, or something to be ignored? In any event, it would be good to go away.

Notice that my microcode number is different from bug 1469488, but the PROCESSOR 0:506c9 is the same. I don't know if that matters.
[    0.026335] mce: [Hardware Error]: Machine check events logged
[    0.026339] mce: [Hardware Error]: CPU 0: Machine Check: 0 Bank 4: a600000000020408
[    0.026349] mce: [Hardware Error]: TSC 0 ADDR fef13b80 
[    0.026356] mce: [Hardware Error]: PROCESSOR 0:506c9 TIME 1525535033 SOCKET 0 APIC 0 microcode 2c

$ journalctl -b | grep Hardware
Jul 11 08:28:17 kiki kernel: mce: [Hardware Error]: CPU 0: Machine Check: 0 Bank 4: a600000000020408
Jul 11 08:28:17 kiki kernel: mce: [Hardware Error]: TSC 0 ADDR fef13580 
Jul 11 08:28:17 kiki kernel: mce: [Hardware Error]: PROCESSOR 0:506c9 TIME 1499754494 SOCKET 0 APIC 0 microcode 1c
Jul 11 08:28:31 kiki systemd[1]: Started Hardware RNG Entropy Gatherer Daemon.
Jul 11 08:28:31 kiki mcelog[684]: Hardware event. This is not a software error.
Jul 11 08:28:32 kiki systemd[1]: Starting Hardware Monitoring Sensors...
Jul 11 08:28:32 kiki systemd[1]: Started Hardware Monitoring Sensors.
Jul 11 08:33:47 kiki kernel: mce: [Hardware Error]: Machine check events logged

$ mcelog 
mcelog: Family 6 Model 5c CPU: only decoding architectural errors
mcelog: warning: 24 bytes ignored in each record
mcelog: consider an update

--- Additional comment from Christian Groove on 2017-07-11 07:33:58 EDT ---

see also Bug 1467040 on FC25

Comment 1 Michael Schwager 2018-05-06 15:10:24 UTC
My machine is quite new, btw. I built it yesterday. It's been up for 23 hours 24 minutes and I've been rsync'ing 742G of data to it. Plus I've watched about 1/2 hour of Lord of the Rings in Google Play Movies on Chrome. Which is to say, it certainly seems to be stable as far as I can tell. The error does not seem to be fatal... yet.

Comment 2 Michael Schwager 2018-05-06 15:12:50 UTC
In the initial description, the lines containing "kiki" are from included from bug #1469488. Sorry for the confusion.

Comment 3 GroovieMan 2018-05-06 15:14:52 UTC
Please be so kind and tell us which mainboard you are using!

Comment 4 Michael Schwager 2018-05-06 20:57:19 UTC
board_name: J3455-ITX
board_vendor: ASRock
bios_vendor: American Megatrends Inc.
bios_version: P1.40

Comment 5 Michael Schwager 2018-05-06 21:02:25 UTC
Someone reported it regarding the J4205 here: https://ask.fedoraproject.org/en/question/113119/mce-hardware-error-on-asrock-j4205-itx/

Comment 6 Michael Schwager 2018-05-06 21:05:01 UTC
I upgraded my BIOS yesterday with the latest version that I could find @ ASRock's support site.

Comment 7 Fedora Update System 2018-07-09 08:16:25 UTC
microcode_ctl-2.1-24.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2005870f6f

Comment 8 Fedora Update System 2018-07-11 23:40:44 UTC
microcode_ctl-2.1-24.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2005870f6f

Comment 9 Fedora Update System 2018-07-16 18:25:56 UTC
microcode_ctl-2.1-24.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.